import sys
from . import parameters

def show_depth(depth: int, zoom: int=2):
    offset = int((parameters.MAX_RECURSIONS - depth) / (2 / zoom))

    depth = depth * zoom
    offset -= int(depth % 2)
    sys.stdout.write("\r|\x1b[K" + (u'█' * int(depth / 2)) + (u'▌' * int(depth % 2)) + ' ' * offset + "|\x1b[7m \x1b[0m\b")

    sys.stdout.flush()
